## File Utilities File Utilities — miscellaneous file-related utility functions. |

## Functions

gboolean | xfce_mkdirhier ()
gchar * | xfce_create_shared_thumbnail_path ()

## Includes

    #include <libxfce4util/libxfce4util.h>

## Description

File Utilities

## Functions

### xfce_mkdirhier ()

    gboolean
    xfce_mkdirhier (const gchar *whole_path,
                    gulong mode,
                    GError **error);

Creates the specified directory `whole_path` , but unlike the `mkdir()` function from the standard C library, if any of the parent directories of the `whole_path` do not exists, they are created as well.

If the directory specified by `whole_path` already exists, this function performs no operation and simply returns `TRUE`.

#### Parameters

whole_path | path to the directory to create. |
mode | file permissions to use for the newly created directories. |
error | location where to store GError object to, error are returned in the `G_FILE_ERROR` domain. |

#### Returns

`TRUE` on success, else `FALSE`.

Since: 4.2

### xfce_create_shared_thumbnail_path ()

    gchar *
    xfce_create_shared_thumbnail_path (const gchar *uri,
                                       const gchar *size);

Creates the shared thumbnail path for the file that corresponds to the given `uri` and `size` . No checks are made regarding the existence of the thumbnail.

It is the duty of the caller to free the returned string.

#### Parameters

uri | the uri of the file whose shared thumbnail we want to find. |
size | the thumbnail size (e.g. normal, large). |

#### Returns

a string with the thumbnail path or NULL if the `uri` could not be converted to a local filename.

Since: 4.17.1

## See Also

https://developer.gnome.org/glib/stable/glib-File-Utilities.html